## libmysofa 1.3.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(libmysofa C CXX)

include(CheckCCompilerFlag)
include(GenerateExportHeader)
include(GNUInstallDirs)

option(BUILD_TESTS "Build test programs" ON)
option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_STATIC_LIBS "Build static library" ON)
option(CODE_COVERAGE "Enable coverage reporting" OFF)
option(ADDRESS_SANITIZE "Enable address sanitizer" OFF)

set(CPACK_PACKAGE_DESCRIPTION "SOFA file reader for better HRTFs")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "This library reads AES SOFA files and normalizes them")
set(CPACK_PACKAGE_VENDOR "Symonics GmbH")
set(CPACK_PACKAGE_CONTACT "umlaeute@debian.org")
set(CPACK_GENERATOR "DEB")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "3")
set(CPACK_PACKAGE_VERSION_PATCH "2")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")

set(PKG_CONFIG_PRIVATELIBS "")

set(PROJECT_VERSION
    "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")

check_c_compiler_flag(-Wall C_HAS_WALL)
if(C_HAS_WALL)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif(C_HAS_WALL)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG -DVDEBUG")

if(${ADDRESS_SANITIZE} STREQUAL "ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -O1 -fno-omit-frame-pointer -g")
endif()

install(FILES share/default.sofa DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)
install(FILES share/MIT_KEMAR_normal_pinna.sofa
        DESTINATION ${CMAKE_INSTALL_DATADIR}/libmysofa)

if(BUILD_TESTS)

  list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
  include(FindCUnit)
  include_directories(${CUNIT_INCLUDE_DIRS})

  find_package(CUnit REQUIRED cunit)

  enable_testing()

  add_test(Mesh2HRTF src/mysofa2json -c
           ${PROJECT_SOURCE_DIR}/tests/Mesh2HRTF.sofa)
  add_test(latTestAziBeRTA_Resamp1_Fran src/mysofa2json -c
           ${PROJECT_SOURCE_DIR}/tests/latTestAziBeRTA_Resamp1_Fran.sofa)
  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
           ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
  add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/H20_44K_16bit_256tap_FIR_SOFA)
  add_test(MIT_KEMAR_large_pinna ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_large_pinna)
  add_test(MIT_KEMAR_normal_pinna ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_normal_pinna)
  add_test(MIT_KEMAR_normal_pinna.old ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/MIT_KEMAR_normal_pinna.old)
  add_test(dtf_nh2 ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/dtf_nh2)
  add_test(hrtf_c_nh898 ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
           ${PROJECT_SOURCE_DIR}/tests/hrtf_c_nh898)
  foreach(
    ISSUE
    72
    75
    76
    77
    79
    82
    83
    84
    130
    132
    135
    136
    137
    138
    156
    163
    167a
    167b
    168
    171
    173
)
    # issues with osx    96)
    add_test(fail-issue-${ISSUE} ${PROJECT_SOURCE_DIR}/tests/notcrashed.sh
             ${PROJECT_SOURCE_DIR}/tests/fail-issue-${ISSUE})
  endforeach(ISSUE)
  add_test(CIPIC_subject_003_hrir_final ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/CIPIC_subject_003_hrir_final)
  add_test(FHK_HRIR_L2354 ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/FHK_HRIR_L2354)
  add_test(LISTEN_1002_IRC_1002_C_HRIR ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/LISTEN_1002_IRC_1002_C_HRIR)
  add_test(Pulse ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/Pulse)
  add_test(Tester ${PROJECT_SOURCE_DIR}/tests/compare.sh ${PROJECT_SOURCE_DIR}/tests/tester)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5_1_2_3_m)
  add_test(TU-Berlin_QU_KEMAR_anechoic_radius_0.5m ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TU-Berlin_QU_KEMAR_anechoic_radius_0.5m)
  add_test(example_dummy_sofa48 ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/example_dummy_sofa48)
  add_test(TestSOFA48_netcdf472 ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/TestSOFA48_netcdf472)
  add_test(example_dummy_sofa48_with_user_defined_variable ${PROJECT_SOURCE_DIR}/tests/compare.sh
           ${PROJECT_SOURCE_DIR}/tests/example_dummy_sofa48_with_user_defined_variable)
endif(BUILD_TESTS)

add_subdirectory(src)

include(CPack)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libmysofa.pc.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# Install exported targets as config files for use from install tree
install(EXPORT mysofa_exports
  NAMESPACE mysofa::
  FILE mysofaTargets.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/mysofa
)

# Create a target export file for use from the build tree.
export(EXPORT mysofa_exports
  NAMESPACE mysofa::
  FILE ${CMAKE_CURRENT_BINARY_DIR}/mysofaTargets.cmake
)

include(CMakePackageConfigHelpers)

# Configure package config file
configure_package_config_file(mysofaConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/mysofaConfig.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/mysofa
)

# Create package version file
# Assuming major version bump = breaking API changes
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/mysofaConfigVersion.cmake
  VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
  COMPATIBILITY SameMajorVersion)

# Install package config file for use from install tree
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/mysofaConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/mysofaConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/mysofa
)

=== src/CMakeLists.txt ===
macro(use_c99)
  if(CMAKE_VERSION VERSION_LESS "3.1")
    if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
      set(CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
    endif()
  else()
    set(CMAKE_C_STANDARD 99)
  endif()
endmacro(use_c99)

use_c99()

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
else()
  set(MATH "")
  find_program(NUGET nuget)
  if(NUGET)
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(
    ${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

if(NOT MSVC)
  if(NOT WIN32)
    find_library(MATH m)
  else()
    set(MATH "")
  endif()
  include(FindZLIB)
  include_directories(${ZLIB_INCLUDE_DIRS})
  set(PKG_CONFIG_PRIVATELIBS "-lm ${PKG_CONFIG_PRIVATELIBS}")
  set(PKG_CONFIG_PRIVATELIBS "-lz ${PKG_CONFIG_PRIVATELIBS}")
else()
  set(MATH "")
  find_program(NUGET nuget)
  if(NOT NUGET)
    message(
      FATAL
      "Cannot find nuget command line tool.\nInstall it with e.g. choco install nuget.commandline"
    )
  else()
    execute_process(COMMAND ${NUGET} install zlib)
  endif()
  include_directories(
    ${PROJECT_SOURCE_DIR}/windows/third-party/zlib-1.2.11/include/)
endif()

set(libsrc
    hrtf/reader.c
    hdf/superblock.c
    hdf/dataobject.c
    hdf/btree.c
    hdf/fractalhead.c
    hdf/gunzip.c
    hdf/gcol.c
    hrtf/check.c
    hrtf/spherical.c
    hrtf/lookup.c
    hrtf/tools.c
    hrtf/kdtree.c
    hrtf/neighbors.c
    hrtf/interpolate.c
    hrtf/resample.c
    hrtf/loudness.c
    hrtf/minphase.c
    hrtf/easy.c
    hrtf/cache.c
    resampler/speex_resampler.c)

set(public-headers
    hrtf/mysofa.h
)

if(BUILD_STATIC_LIBS)
add_library(mysofa-static STATIC ${libsrc})
target_include_directories(mysofa-static
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/hrtf>"
  $<INSTALL_INTERFACE:include/>
)
target_link_libraries(mysofa-static LINK_PRIVATE ${MATH} ${ZLIB_LIBRARIES})
set_target_properties(
  mysofa-static
  PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1 POSITION_INDEPENDENT_CODE
                                                      ${BUILD_SHARED_LIBS})
set_target_properties( mysofa-static PROPERTIES PUBLIC_HEADER "${public-headers}" )
install(TARGETS mysofa-static
  EXPORT mysofa_exports
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(mysofa-static PUBLIC -g -O0 -Wall -fprofile-arcs
                                                -ftest-coverage)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
      target_link_options(mysofa-static PUBLIC --coverage)
    else()
      target_link_libraries(mysofa-static LINK_PUBLIC gcov --coverage)
    endif()
  endif()
endif()

if(BUILD_SHARED_LIBS)
  add_library(mysofa-shared SHARED ${libsrc})
  target_include_directories(mysofa-shared
    PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/hrtf>"
    $<INSTALL_INTERFACE:include/>
  )
  target_link_libraries(mysofa-shared PRIVATE ${MATH} ${ZLIB_LIBRARIES})
  set_target_properties(mysofa-shared
                        PROPERTIES OUTPUT_NAME mysofa CLEAN_DIRECT_OUTPUT 1)
  # Rename the Windows import library (stub) of the DLL to prevent a name clash
  # with the mysofa-static library.
  set_target_properties(mysofa-shared
                        PROPERTIES ARCHIVE_OUTPUT_NAME mysofa_shared)

  set_property(
    TARGET mysofa-shared
    PROPERTY
      VERSION
      "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
  )
  set_property(TARGET mysofa-shared PROPERTY SOVERSION
                                             ${CPACK_PACKAGE_VERSION_MAJOR})
  set_property(TARGET mysofa-shared PROPERTY C_VISIBILITY_PRESET hidden)
  generate_export_header(mysofa-shared
    BASE_NAME MYSOFA
    EXPORT_FILE_NAME mysofa_export.h
    EXPORT_MACRO_NAME MYSOFA_EXPORT
    STATIC_DEFINE MYSOFA_STATIC
  )

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(mysofa-shared PUBLIC -g -O0 -Wall -fprofile-arcs
                                                -ftest-coverage)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
      target_link_options(mysofa-shared PUBLIC --coverage)
    else()
      target_link_libraries(mysofa-shared LINK_PUBLIC gcov --coverage)
    endif()
  endif()

  install(
    TARGETS mysofa-shared
    EXPORT mysofa_exports
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  )
else()
  generate_export_header(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME
                         mysofa_export.h)
endif()

if(BUILD_TESTS)
  add_executable(mysofa2json tests/sofa2json.c tests/json.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(mysofa2json mysofa-static)
  else()
    target_link_libraries(mysofa2json mysofa-shared)
  endif()

  add_executable(
    external
    tests/external.c
    tests/check.c
    tests/check_data.c
    tests/lookup.c
    tests/neighbors.c
    tests/interpolate.c
    tests/resample.c
    tests/loudness.c
    tests/minphase.c
    tests/easy.c
    tests/cache.c
    tests/json.c
    tests/user_defined_variable.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(external mysofa-static ${CUNIT_LIBRARIES})
  else()
    target_link_libraries(external mysofa-shared ${CUNIT_LIBRARIES} m)
  endif()
  add_test(
    NAME external
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND external)

  add_executable(internal tests/internal.c tests/tools.c hrtf/tools.c)
  target_link_libraries(internal m ${CUNIT_LIBRARIES})
  add_test(
    NAME internal
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND internal)

  add_executable(multithread tests/multithread.c)
  if(BUILD_STATIC_LIBS)
    target_link_libraries(multithread mysofa-static pthread)
  else()
    target_link_libraries(multithread mysofa-shared pthread m)
  endif()
  add_test(
    NAME multithread
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMAND multithread)

  if(UNIX
     AND CODE_COVERAGE
     AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(internal PUBLIC -g -O0 -Wall -fprofile-arcs
                                           -ftest-coverage)
    target_link_libraries(internal gcov --coverage)
  endif()

  install(
    TARGETS mysofa2json
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif(BUILD_TESTS)

set(PKG_CONFIG_PRIVATELIBS
    "${PKG_CONFIG_PRIVATELIBS}"
    PARENT_SCOPE)

=== debian/tests/control ===
Tests: mysofa2json
Depends:
 nodejs,
 @,

## libmysofa 1.3.3%2Bdfsg

=== debian/changelog ===
libmysofa (1.3.3+dfsg-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:16:07 +0100

libmysofa (1.3.3+dfsg-1ubuntu1) plucky; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on nodejs on i386

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 20:36:19 -0600

libmysofa (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.3+dfsg
    + Drop obsolete patches
    + Refresh patches
  * Update copyright information
    + Bump copyright dates
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 19 Oct 2024 23:23:42 +0200

## libmysofa 1.3.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 project(libmysofa C CXX)
 
 include(CheckCCompilerFlag)
@@ -20,7 +20,7 @@
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "3")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
 set(PKG_CONFIG_PRIVATELIBS "")
@@ -53,11 +53,11 @@
 
   enable_testing()
 
-  add_test(Mesh2HRTF src/mysofa2json -c
+  add_test(Mesh2HRTF src/mysofa2json -c -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/Mesh2HRTF.sofa)
-  add_test(latTestAziBeRTA_Resamp1_Fran src/mysofa2json -c
+  add_test(latTestAziBeRTA_Resamp1_Fran src/mysofa2json -c -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/latTestAziBeRTA_Resamp1_Fran.sofa)
-  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
+  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
   add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
            ${PROJECT_SOURCE_DIR}/tests/H20_44K_16bit_256tap_FIR_SOFA)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,4 @@
-macro(use_c99)
-  if(CMAKE_VERSION VERSION_LESS "3.1")
-    if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
-      set(CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
-    endif()
-  else()
-    set(CMAKE_C_STANDARD 99)
-  endif()
-endmacro(use_c99)
-
-use_c99()
+set(CMAKE_C_STANDARD 99)
 
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -127,6 +117,8 @@
   # with the mysofa-static library.
   set_target_properties(mysofa-shared
                         PROPERTIES ARCHIVE_OUTPUT_NAME mysofa_shared)
+  set_target_properties(mysofa-shared
+                        PROPERTIES PUBLIC_HEADER "${public-headers}")
 
   set_property(
     TARGET mysofa-shared
@@ -168,6 +160,12 @@
   generate_export_header(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME
                          mysofa_export.h)
 endif()
+
+# Must install export header so downstream packages can properly understand 
+# which functions are accessible
+install(FILES ${PROJECT_BINARY_DIR}/src/mysofa_export.h
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+  )
 
 if(BUILD_TESTS)
   add_executable(mysofa2json tests/sofa2json.c tests/json.c)

=== debian/control ===
Source: libmysofa
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libcunit1-dev,
 nodejs [!i386] <!nocheck>,
 zlib1g-dev | libz-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: devel
Homepage: https://github.com/hoene/libmysofa
Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmysofa

Package: libmysofa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmysofa1 (= ${binary:Version}),
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the files necessary to compile applications using
 libmysofa.

Package: libmysofa1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the shared objects necessary to run an application using
 libmysofa.

Package: libmysofa-utils
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the mysofa2json utility.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# the tests have hardcoded reference to build/src
%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DCODE_COVERAGE=OFF \
		$(empty)

# terse test output, as we do not really want to see all those JSON dumps of SOFA files
override_dh_auto_test: DEB_BUILD_OPTIONS += terse
# no-parallel otherwise we are hitting test errors
override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH), i386))
	dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel || true
endif

override_dh_clean:
	dh_clean
	rm -f easy.tmp.json
	rm -f src/config.h src/hrtf/mysofa_export.h

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|tests/.*\.sofa|tests/.*\.json\.bz2|share/MIT_KEMAR_normal_pinna\.sofa

# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
